Skip to main content
GET
List configuration questions

Authorizations

Authorization
string
header
required

Send the domain-scoped API key as Authorization: Bearer . Never send client-supplied identity headers.

Query Parameters

state
enum<string>
default:published

published requires configuration:read; draft requires both configuration:read and configuration:write.

Available options:
published,
draft
dimension_id
string
Required string length: 1 - 128
active
boolean

Filter by the question's active flag.

type
enum<string>

API candidate types: open, single_choice, multiple_choice, or semi_open. A semi-open question also exposes selection_mode.

Available options:
open,
single_choice,
multiple_choice,
semi_open

Simple text search on the question wording.

Required string length: 1 - 200
limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string

Opaque cursor returned by the previous page.

Required string length: 1 - 512
format
enum<string>
default:json

csv returns the entire filtered question set as text/csv and ignores cursor pagination.

Available options:
json,
csv

Response

Successful response.

request_id
string
required
state
enum<string>
required
Available options:
published,
draft
questions
object[]
required
next_cursor
string | null
required

Cursor for the next page, when one exists.

total
integer

Total number of matching questions.

Required range: x >= 0